Table of Contents

## Name

XCreateIC, XDestroyIC, XIMOfIC - create, destroy, and obtain the input method of an input context

## Syntax

XIC XCreateIC(XIM im, ...);
void XDestroyIC(XIC ic);
XIM XIMOfIC(XIC ic);

## Arguments

ic
  Specifies the input context.
im
  Specifies the input method. ...
  - Specifies the variable length argument list to set XIC values.

  ## Description

  The XCreateIC function creates a context within the specified input method.

  Some of the arguments are mandatory at creation time, and the input context will not be created if those arguments are not provided. The mandatory arguments are the input style and the set of text callbacks (if the input style selected requires callbacks). All other input context values can be set later.

  XCreateIC returns a NULL value if no input context could be created. A NULL value could be returned for any of the following reasons:

  - A required argument was not set.
  - A read-only argument was set (for example, XNFilterEvents).
  - The argument name is not recognized.
  - The input method encountered an input method implementation-dependent error.

  The XCreateIC can generate BadAtom, BadColor, BadPixmap, and BadWindow errors.

  XDestroyIC destroys the specified input context.

  The XIMOfIC function returns the input method associated with the specified input context.

  ## Diagnostics

  BadAtom
    A value for an Atom argument does not name a defined Atom.
  BadColor
    A value for a Colormap argument does not name a defined Colormap.
  BadPixmap
    A value for a Pixmap argument does not name a defined Pixmap.
  BadWindow
    A value for a Window argument does not name a defined Window.

  ## See Also

  XOpenIM(3X11) , XSetICFocus(3X11) , XSetICValues(3X11) , XmbResetIC(3X11)
  Xlib - C Language X Interface

  Table of Contents

  - Name
  - Syntax
  - Arguments
  - Description
  - Diagnostics
  - See Also